Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.instrumentation
Class MetricsLogger

    java.lang.Object
      com.endeca.portal.instrumentation.MetricsLogger

All Implemented Interfaces:
  DataSourceInstrumentor, PortletInstrumentor

    public class MetricsLogger

extends java.lang.Object
implements PortletInstrumentor, DataSourceInstrumentor

Central point for logging performance-related messages

Author:
  dan

Method Summary
`void` | `addCachedDataQuery(RequestTracker requestTracker, java.lang.String dataSourceName, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)` Tracks a single query to an MDEX DataSource that was satisfied by application cache
`void` | `addCachedDataQuery(RequestTracker requestTracker, java.lang.String dataSourceName, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results, long ms)`
`void` | `addDataQuery(RequestTracker requestTracker, java.lang.String dataSourceName, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results, long ms)` Tracks a single uncached query to an MDEX DataSource
`void` | `addDataQuery(RequestTracker requestTracker, java.lang.String dataSourceName, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results, long ms)`
`void` | `addPortletExecution(RequestTracker requestTracker, javax.portlet.GenericPortlet portlet, javax.portlet.PortletMode mode, javax.portlet.WindowState windowState, long ms)` Tracks a single portlet execution
`protected java.lang.Object` | `clone()`
`protected static MetricsLogger` | `getInstance()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    protected static MetricsLogger getInstance()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### addPortletExecution

    public void addPortletExecution(RequestTracker requestTracker,
                                    javax.portlet.GenericPortlet portlet,
                                    javax.portlet.PortletMode mode,
                                    javax.portlet.WindowState windowState,
                                    long ms)

  Description copied from interface: `PortletInstrumentor`
  Tracks a single portlet execution

  Specified by:
    `addPortletExecution` in interface `PortletInstrumentor`
    `portlet` - the portlet that executed
    `mode` - the PortletMode in which the portlet executed
    `ms` - the execution time of the Portlet

### addDataQuery

    public void addDataQuery(RequestTracker requestTracker,
                             java.lang.String dataSourceName,
                             com.endeca.navigation.ENEQuery query,
                             com.endeca.navigation.ENEQueryResults results,
                             long ms)

  Description copied from interface: `DataSourceInstrumentor`
  Tracks a single uncached query to an MDEX DataSource

  Specified by:
    `addDataQuery` in interface `DataSourceInstrumentor`
    `dataSourceName` - the key/description of the DataSource
    `query` - The query object that executed
    `results` - The results of the query that executed
    `ms` - The execution time of the query

### addCachedDataQuery

    public void addCachedDataQuery(RequestTracker requestTracker,
                                   java.lang.String dataSourceName,
                                   com.endeca.navigation.ENEQuery query,
                                   com.endeca.navigation.ENEQueryResults results,
                                   long ms)

  Description copied from interface: `DataSourceInstrumentor`
  Tracks a single query to an MDEX DataSource that was satisfied by application cache

  Specified by:
    `addCachedDataQuery` in interface `DataSourceInstrumentor`
    `dataSourceName` - the key/description of the DataSource
    `query` - The query object that executed
    `results` - The results of the query that executed
    `ms` - The execution time of the query

### addDataQuery

    public void addDataQuery(RequestTracker requestTracker,
                             java.lang.String dataSourceName,
                             com.endeca.mdex.conversation.Request query,
                             com.endeca.mdex.conversation.Results results,
                             long ms)

### addCachedDataQuery

    public void addCachedDataQuery(RequestTracker requestTracker,
                                   java.lang.String dataSourceName,
                                   com.endeca.mdex.conversation.Request query,
                                   com.endeca.mdex.conversation.Results results,
                                   long ms)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD